Skip to Content
API ReferenceCustomers

Customers API

Manage customer profiles, billing information, and subscriptions.

List Customers

GET /api/customers

Returns all customers with their associated products.

Response 200 OK

[ { "id": "01JQX...", "name": "Acme Corp", "email": "billing@acme.com", "company": "Acme Corporation", "tier": "professional", "billingAddress": "123 Main St, Suite 400", "taxId": "US12345678", "paymentMethod": "stripe", "healthScore": 85, "creditBalance": "150.00", "createdAt": "2026-01-15T10:30:00Z", "updatedAt": "2026-01-15T10:30:00Z" } ]

Get Customer

GET /api/customers/:id

Returns a single customer with their products and subscriptions.

Create Customer

POST /api/customers Content-Type: application/json

Body

FieldTypeRequiredDescription
namestringYesCustomer name
emailstringYesUnique email address
companystringNoCompany name
tierstringNostarter, professional, or enterprise
billingAddressstringNoBilling address
taxIdstringNoTax identifier
paymentMethodstringNoDefault payment method

Response 201 Created

Update Customer

PUT /api/customers/:id Content-Type: application/json

Response 200 OK

Delete Customer

DELETE /api/customers/:id

Response 204 No Content

Search Customers

GET /api/search/customers?q=acme

Full-text search across customer name, email, and company fields.

Last updated on